import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;
import javax.swing.*;

/**
   A program that allows users to edit a scene composed
   of items.
*/
public class SceneEditor extends JApplet
{
    JPanel buttons;
    ScenePanel panel;
    public void make_scene(Container contentPane)
    {
      final ScenePanel panel = new ScenePanel();

      JButton houseButton = new JButton("House");
      houseButton.addActionListener(new
         ActionListener()
         {
            public void actionPerformed(ActionEvent event)
            {
               panel.add(new HouseShape(20, 20, 50));
            }
         });

      JButton carButton = new JButton("Car");
      carButton.addActionListener(new
         ActionListener()
         {
            public void actionPerformed(ActionEvent event)
            {
               panel.add(new CarShape(20, 20, 50));
            }
         });

      JButton removeButton = new JButton("Remove");
      removeButton.addActionListener(new
         ActionListener()
         {
            public void actionPerformed(ActionEvent event)
            {
               panel.removeSelected();
            }
         });

      JPanel buttons = new JPanel();
      buttons.add(houseButton);
      buttons.add(carButton);
      buttons.add(removeButton);
      
      contentPane.add(panel, BorderLayout.CENTER);
      contentPane.add(buttons, BorderLayout.NORTH);
    }
    public void init()
    {
	Container contentPane = getContentPane();
	make_scene(contentPane);
    }
      public static void main(String[] args)
      {
	  JFrame frame = new JFrame();
	  frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

	  Container contentPane = frame.getContentPane();
	  SceneEditor scene = new SceneEditor();
	  scene.make_scene(contentPane);
	  frame.setSize(300, 300);
	  frame.setVisible(true	);
   }
}


